//***************** (c) 2008 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : LED
// BOARD    : ZL5PIC (with PIC16F884 in socket U1)
// COMPILER : PICC Lite 9.60
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Simple LEDs demonstration.
//
//    Settings and connections on ZL5PIC:
//        RD0 (con18) - LED0 (con9)
//        RD1 (con18) - LED1 (con9)
//        ...
//        RD7 (con18) - LED7 (con9)
//
//******************************************************************************
#include <htc.h>

__CONFIG(WDTDIS & XT & UNPROTECT);

void main(void)
{
volatile unsigned int i = 0; 
char tmp;
TRISD = 0;	
PORTD = 0;
	
do{
	for(tmp = 1; tmp != 0; tmp <<= 1)
	  {
	  PORTD = tmp;
	  for(i = 0; i < 0x3FFF; i++);
	  }
}while(1);	

}	