#include <htc.h>
//-------------------------------------
//
//-------------------------------------
void USART_Init(void)
{
	TXEN = 1;
	CREN = 1;
	SYNC = 0;
	SPEN = 1;
	
	SPBRG = 103;
}	
//-------------------------------------
// Send sgngle char 
//-------------------------------------
void USART_PutChar(char c)
{
	while(!TXIF);
	TXREG = c;
}	
//-------------------------------------
// Receive single char
//-------------------------------------
char USART_GetChar(void)
{
	while(!RCIF);
	return RCREG;
}	
//-------------------------------------
// Send string
//-------------------------------------
void USART_PutString(char *s)
{
while(*s)
	USART_PutChar(*s++);
}
//-------------------------------------
// Receive string
//-------------------------------------
void USART_GetString(char *s)
{
char c;
do{
  c = USART_GetChar();
  USART_PutChar(c);
  if(c=='\b')   // if backspace
    s--;
  else     
    *s++ = c;
  if(c == '\r') // if CR
    *s = 0;
}while(c != '\r');
}
//-------------------------------------
// Conver 8-bit value to hex
//-------------------------------------
char * Hex(char val, char*str)
{
char msd, lsd;
msd = val >> 4;
lsd = val & 0x0F;

*(str+0) = (msd < 10) ? (msd + '0') : (msd + '7');
*(str+1) = (lsd < 10) ? (lsd + '0') : (lsd + '7');
*(str+2) = 0;
return str;
}
//-------------------------------------
// End of file
//-------------------------------------	